#include <iostream>
#include <cmath>
#include <vector>
#include <cstring>

using namespace std;

float sum(float a, float d, int n) {
    float sum = 0;
    for (int i = 0; i < n; i++) {
        a = a + d;
        sum = sum + a;
        
    }
    return sum;
}

int main()
{
    int brTestova, i = 0;
    long long brUc1, brBan1, brGrup1;
    string nie = "Nie";
    string tak = "Tak";

    vector<long long> brUc, brBan, brGrup;
    vector<string> rezultati;

    cin >> brTestova;

    do
    {
        cin >> brUc1 >> brBan1 >> brGrup1;

        brUc.push_back(brUc1);
        brBan.push_back(brBan1);
        brGrup.push_back(brGrup1);
        

        if (brUc[i] < brGrup[i])
        {
            rezultati.push_back(nie);
        }
        else if (brUc[i] == brGrup[i])
        {
            if (brBan[i] >= brUc[i])
            {
                rezultati.push_back(tak);
            }
            else
            {
                rezultati.push_back(nie);
            }
        }
        else
        {
            if (brBan[i] >= sum(0, 1, ((brUc[i] - brGrup[i] + 1))))
            {
                rezultati.push_back(tak);
            }
            else
            {
                rezultati.push_back(nie);
            }
        }

        i++;
    } while (i < brTestova);

    for (int i = 0; i < brTestova; i++)
    {
        cout << rezultati[i] << endl;
    }

    return 0;
}